events.listen("recipes", function (e) {
  e.custom({
    type: "create:mechanical_crafting",
    pattern: ["BDB", "BCB", "AAA"],
    key: {
      A: { tag: "forge:ingots/gold" },
      B: { item: "botania:livingrock" },
      C: { item: "thermal:machine_furnace" },
      D: { item: "twilightforest:carminite" },
    },
    result: { item: "bloodmagic:altar" },
  });
});
